###############################################################################
# mod_fastcgi.conf
# include'd by lighttpd.conf.
# $Header: /var/cvsroot/gentoo-x86/www-servers/lighttpd/files/conf/mod_fastcgi.conf-1.4.13-r2,v 1.1 2007/04/01 23:22:00 robbat2 Exp $
###############################################################################

server.modules += ("mod_fastcgi")
fastcgi.server = ( 
    ".php" => ( 
        "localhost" => (
            "socket"	=> "/var/run/lighttpd/lighttpd-fastcgi-php-" + PID + ".socket",
            "bin-path"	=> "/usr/bin/php-cgi",
            "idle-timeout" => 20,
            "bin-environment" => (
                "broken-scriptfilename" => "enable",
                "PHP_FCGI_CHILDREN"     => "2",
                "PHP_FCGI_MAX_REQUESTS" => "500"
            ),
            "bin-copy-environment" => (
                "PATH",
                "SHELL",
                "USER"
            ),
            "min-procs" => 1,
            "max-procs" => 1,
            "allow-x-send-file" => "enable"
        )
    ),
    ".phps" => (
        "localhost" => (
            "socket"	=> "/var/run/lighttpd/lighttpd-fastcgi-phps-" + PID + ".socket",
	    "bin-path"	=> "/usr/bin/php-cgi -s",
            "min-procs"     => 1,
            "max-procs"     => 1
        )
    )
)
